var gulp   = require('gulp');
var eslint = require('gulp-eslint');
var babel  = require('gulp-babel');
var watch  = require('gulp-watch');

gulp.task('default', ['babel']);

gulp.task('babel', ['eslint'], function () {
  return gulp.src('src/**/*.js?(x)')
  .pipe(babel())
  .pipe(gulp.dest('lib'));
});

gulp.task('eslint', function() {
  return gulp.src(['src/**/*.js?(x)'])
  .pipe(eslint())
  .pipe(eslint.format())
  .pipe(eslint.failOnError());
});

gulp.task('watch', function() {
  watch(['src/**/*.js?(x)'], function() {
    gulp.start('babel');
  });
});
